<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:roleRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_rt_2024-11-01.xsd#rol_CTELabel" roleURI="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ChemicalReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">化学品事業</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ChemicalReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">化学品事業、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_CustomerRelatedAssetsIA_label" xlink:role="http://www.xbrl.org/2003/role/label">顧客関連資産</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_CustomerRelatedAssetsIA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">顧客関連資産、無形固定資産</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBTRSTextBlockTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">株式給付信託（BBT-RS)の導入に伴う自己株式の取得による支出</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBTRSTextBlockTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">株式給付信託（BBT-RS)の導入に伴う自己株式の取得による支出 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ExportingNotesReceivableDiscounted_label" xlink:role="http://www.xbrl.org/2003/role/label">輸出手形割引高</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ExportingNotesReceivableDiscounted_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">輸出手形割引高</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_GainLossOnLiquidationOfSubsidiariesAndAssociatesOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">関係会社整理損益（△は益）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_GainLossOnLiquidationOfSubsidiariesAndAssociatesOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">関係会社整理損益（△は益）、営業活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_GainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliatesEI_label" xlink:role="http://www.xbrl.org/2003/role/label">関係会社整理益</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_GainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliatesEI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">関係会社整理益、特別利益</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ImpairmentLossDisclosureOfImpairmentLossOnNonCurrentAssetsForEachReportableSegment_label" xlink:role="http://www.xbrl.org/2003/role/label">減損損失</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ImpairmentLossDisclosureOfImpairmentLossOnNonCurrentAssetsForEachReportableSegment_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">減損損失、報告セグメントごとの固定資産の減損損失に関する情報</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_InoharaNobuyukiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">猪原 伸之</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_InoharaNobuyukiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">猪原 伸之 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_MachineryReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">機械事業</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_MachineryReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">機械事業、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NodaHirokoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">野田　弘子</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NodaHirokoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">野田　弘子 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NonMonetaryRemuneration_label" xlink:role="http://www.xbrl.org/2003/role/label">非金銭報酬等</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NonMonetaryRemuneration_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">非金銭報酬等</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingGainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliateTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">関係会社整理益に関する注記</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingGainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliateTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">関係会社整理益に関する注記 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingLossOnDisposalOfNonCurrentAssetsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">固定資産処分損に関する注記</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingLossOnDisposalOfNonCurrentAssetsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">固定資産処分損に関する注記[テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingRepurchaseObligationDueToLiquidationOfAccountsReceivableTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">債権流動化に伴う買戻義務に関する注記</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingRepurchaseObligationDueToLiquidationOfAccountsReceivableTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">債権流動化に伴う買戻義務に関する注記[テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_PurchaseOfTreasurySharesByStockOwnershipPlanTrust_label" xlink:role="http://www.xbrl.org/2003/role/label">株式給付信託による自己株式の取得</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_PurchaseOfTreasurySharesByStockOwnershipPlanTrust_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">株式給付信託による自己株式の取得</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_SakotaTatsuyukiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">迫田　竜之</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_SakotaTatsuyukiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">迫田　竜之 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_SawanoMasaakiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">澤野　正明</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_SawanoMasaakiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">澤野　正明 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_SekineChizuMember_label" xlink:role="http://www.xbrl.org/2003/role/label">関根　千津</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_SekineChizuMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">関根　千津 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ShareholderExpensesSGA_label" xlink:role="http://www.xbrl.org/2003/role/label">株式給付引当金繰入額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ShareholderExpensesSGA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">株式給付引当金繰入額 、販売費及び一般管理費</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_SuzukiHiromasaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">鈴木　博正</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_SuzukiHiromasaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">鈴木　博正 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_TextileReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">繊維事業</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_TextileReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">繊維事業、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_TougeKazuhiroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">垰　和博</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_TougeKazuhiroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">垰　和博 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_TransferOfTreasurySharesToStockOwnershipPlanTrust_label" xlink:role="http://www.xbrl.org/2003/role/label">株式給付信託に対する自己株式の処分</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_TransferOfTreasurySharesToStockOwnershipPlanTrust_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">株式給付信託に対する自己株式の処分</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_YabuShigemasaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">藪　茂正</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_YabuShigemasaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">藪　茂正 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_YoshidaHiroshiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">吉田　裕志</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_YoshidaHiroshiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">吉田　裕志 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jppfs_cor_BuildingsAndStructuresNet_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label">構築物</link:label>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_cor_2024-11-01.xsd#jppfs_cor_BuildingsAndStructuresNet" xlink:label="jppfs_cor_BuildingsAndStructuresNet" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_ChemicalReportableSegmentsMember" xlink:label="jpcrp030000-asr_E02509-000_ChemicalReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_CustomerRelatedAssetsIA" xlink:label="jpcrp030000-asr_E02509-000_CustomerRelatedAssetsIA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBTRSTextBlockTextBlock" xlink:label="jpcrp030000-asr_E02509-000_ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBTRSTextBlockTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_ExportingNotesReceivableDiscounted" xlink:label="jpcrp030000-asr_E02509-000_ExportingNotesReceivableDiscounted" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_GainLossOnLiquidationOfSubsidiariesAndAssociatesOpeCF" xlink:label="jpcrp030000-asr_E02509-000_GainLossOnLiquidationOfSubsidiariesAndAssociatesOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_GainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliatesEI" xlink:label="jpcrp030000-asr_E02509-000_GainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliatesEI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_ImpairmentLossDisclosureOfImpairmentLossOnNonCurrentAssetsForEachReportableSegment" xlink:label="jpcrp030000-asr_E02509-000_ImpairmentLossDisclosureOfImpairmentLossOnNonCurrentAssetsForEachReportableSegment" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_InoharaNobuyukiMember" xlink:label="jpcrp030000-asr_E02509-000_InoharaNobuyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_MachineryReportableSegmentsMember" xlink:label="jpcrp030000-asr_E02509-000_MachineryReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_NodaHirokoMember" xlink:label="jpcrp030000-asr_E02509-000_NodaHirokoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_NonMonetaryRemuneration" xlink:label="jpcrp030000-asr_E02509-000_NonMonetaryRemuneration" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_NotesRegardingGainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliateTextBlock" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingGainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliateTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_NotesRegardingLossOnDisposalOfNonCurrentAssetsTextBlock" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingLossOnDisposalOfNonCurrentAssetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_NotesRegardingRepurchaseObligationDueToLiquidationOfAccountsReceivableTextBlock" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingRepurchaseObligationDueToLiquidationOfAccountsReceivableTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_PurchaseOfTreasurySharesByStockOwnershipPlanTrust" xlink:label="jpcrp030000-asr_E02509-000_PurchaseOfTreasurySharesByStockOwnershipPlanTrust" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_SakotaTatsuyukiMember" xlink:label="jpcrp030000-asr_E02509-000_SakotaTatsuyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_SawanoMasaakiMember" xlink:label="jpcrp030000-asr_E02509-000_SawanoMasaakiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_SekineChizuMember" xlink:label="jpcrp030000-asr_E02509-000_SekineChizuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_ShareholderExpensesSGA" xlink:label="jpcrp030000-asr_E02509-000_ShareholderExpensesSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_SuzukiHiromasaMember" xlink:label="jpcrp030000-asr_E02509-000_SuzukiHiromasaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_TextileReportableSegmentsMember" xlink:label="jpcrp030000-asr_E02509-000_TextileReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_TougeKazuhiroMember" xlink:label="jpcrp030000-asr_E02509-000_TougeKazuhiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_TransferOfTreasurySharesToStockOwnershipPlanTrust" xlink:label="jpcrp030000-asr_E02509-000_TransferOfTreasurySharesToStockOwnershipPlanTrust" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_YabuShigemasaMember" xlink:label="jpcrp030000-asr_E02509-000_YabuShigemasaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_YoshidaHiroshiMember" xlink:label="jpcrp030000-asr_E02509-000_YoshidaHiroshiMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ChemicalReportableSegmentsMember" xlink:to="jpcrp030000-asr_E02509-000_ChemicalReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ChemicalReportableSegmentsMember" xlink:to="jpcrp030000-asr_E02509-000_ChemicalReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_CustomerRelatedAssetsIA" xlink:to="jpcrp030000-asr_E02509-000_CustomerRelatedAssetsIA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_CustomerRelatedAssetsIA" xlink:to="jpcrp030000-asr_E02509-000_CustomerRelatedAssetsIA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBTRSTextBlockTextBlock" xlink:to="jpcrp030000-asr_E02509-000_ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBTRSTextBlockTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBTRSTextBlockTextBlock" xlink:to="jpcrp030000-asr_E02509-000_ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBTRSTextBlockTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ExportingNotesReceivableDiscounted" xlink:to="jpcrp030000-asr_E02509-000_ExportingNotesReceivableDiscounted_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ExportingNotesReceivableDiscounted" xlink:to="jpcrp030000-asr_E02509-000_ExportingNotesReceivableDiscounted_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_GainLossOnLiquidationOfSubsidiariesAndAssociatesOpeCF" xlink:to="jpcrp030000-asr_E02509-000_GainLossOnLiquidationOfSubsidiariesAndAssociatesOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_GainLossOnLiquidationOfSubsidiariesAndAssociatesOpeCF" xlink:to="jpcrp030000-asr_E02509-000_GainLossOnLiquidationOfSubsidiariesAndAssociatesOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_GainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliatesEI" xlink:to="jpcrp030000-asr_E02509-000_GainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliatesEI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_GainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliatesEI" xlink:to="jpcrp030000-asr_E02509-000_GainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliatesEI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ImpairmentLossDisclosureOfImpairmentLossOnNonCurrentAssetsForEachReportableSegment" xlink:to="jpcrp030000-asr_E02509-000_ImpairmentLossDisclosureOfImpairmentLossOnNonCurrentAssetsForEachReportableSegment_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ImpairmentLossDisclosureOfImpairmentLossOnNonCurrentAssetsForEachReportableSegment" xlink:to="jpcrp030000-asr_E02509-000_ImpairmentLossDisclosureOfImpairmentLossOnNonCurrentAssetsForEachReportableSegment_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_InoharaNobuyukiMember" xlink:to="jpcrp030000-asr_E02509-000_InoharaNobuyukiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_InoharaNobuyukiMember" xlink:to="jpcrp030000-asr_E02509-000_InoharaNobuyukiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_MachineryReportableSegmentsMember" xlink:to="jpcrp030000-asr_E02509-000_MachineryReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_MachineryReportableSegmentsMember" xlink:to="jpcrp030000-asr_E02509-000_MachineryReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NodaHirokoMember" xlink:to="jpcrp030000-asr_E02509-000_NodaHirokoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NodaHirokoMember" xlink:to="jpcrp030000-asr_E02509-000_NodaHirokoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NonMonetaryRemuneration" xlink:to="jpcrp030000-asr_E02509-000_NonMonetaryRemuneration_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NonMonetaryRemuneration" xlink:to="jpcrp030000-asr_E02509-000_NonMonetaryRemuneration_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NotesRegardingGainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliateTextBlock" xlink:to="jpcrp030000-asr_E02509-000_NotesRegardingGainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliateTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NotesRegardingGainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliateTextBlock" xlink:to="jpcrp030000-asr_E02509-000_NotesRegardingGainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliateTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NotesRegardingLossOnDisposalOfNonCurrentAssetsTextBlock" xlink:to="jpcrp030000-asr_E02509-000_NotesRegardingLossOnDisposalOfNonCurrentAssetsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NotesRegardingLossOnDisposalOfNonCurrentAssetsTextBlock" xlink:to="jpcrp030000-asr_E02509-000_NotesRegardingLossOnDisposalOfNonCurrentAssetsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NotesRegardingRepurchaseObligationDueToLiquidationOfAccountsReceivableTextBlock" xlink:to="jpcrp030000-asr_E02509-000_NotesRegardingRepurchaseObligationDueToLiquidationOfAccountsReceivableTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NotesRegardingRepurchaseObligationDueToLiquidationOfAccountsReceivableTextBlock" xlink:to="jpcrp030000-asr_E02509-000_NotesRegardingRepurchaseObligationDueToLiquidationOfAccountsReceivableTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_PurchaseOfTreasurySharesByStockOwnershipPlanTrust" xlink:to="jpcrp030000-asr_E02509-000_PurchaseOfTreasurySharesByStockOwnershipPlanTrust_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_PurchaseOfTreasurySharesByStockOwnershipPlanTrust" xlink:to="jpcrp030000-asr_E02509-000_PurchaseOfTreasurySharesByStockOwnershipPlanTrust_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_SakotaTatsuyukiMember" xlink:to="jpcrp030000-asr_E02509-000_SakotaTatsuyukiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_SakotaTatsuyukiMember" xlink:to="jpcrp030000-asr_E02509-000_SakotaTatsuyukiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_SawanoMasaakiMember" xlink:to="jpcrp030000-asr_E02509-000_SawanoMasaakiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_SawanoMasaakiMember" xlink:to="jpcrp030000-asr_E02509-000_SawanoMasaakiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_SekineChizuMember" xlink:to="jpcrp030000-asr_E02509-000_SekineChizuMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_SekineChizuMember" xlink:to="jpcrp030000-asr_E02509-000_SekineChizuMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ShareholderExpensesSGA" xlink:to="jpcrp030000-asr_E02509-000_ShareholderExpensesSGA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ShareholderExpensesSGA" xlink:to="jpcrp030000-asr_E02509-000_ShareholderExpensesSGA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_SuzukiHiromasaMember" xlink:to="jpcrp030000-asr_E02509-000_SuzukiHiromasaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_SuzukiHiromasaMember" xlink:to="jpcrp030000-asr_E02509-000_SuzukiHiromasaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_TextileReportableSegmentsMember" xlink:to="jpcrp030000-asr_E02509-000_TextileReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_TextileReportableSegmentsMember" xlink:to="jpcrp030000-asr_E02509-000_TextileReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_TougeKazuhiroMember" xlink:to="jpcrp030000-asr_E02509-000_TougeKazuhiroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_TougeKazuhiroMember" xlink:to="jpcrp030000-asr_E02509-000_TougeKazuhiroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_TransferOfTreasurySharesToStockOwnershipPlanTrust" xlink:to="jpcrp030000-asr_E02509-000_TransferOfTreasurySharesToStockOwnershipPlanTrust_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_TransferOfTreasurySharesToStockOwnershipPlanTrust" xlink:to="jpcrp030000-asr_E02509-000_TransferOfTreasurySharesToStockOwnershipPlanTrust_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_YabuShigemasaMember" xlink:to="jpcrp030000-asr_E02509-000_YabuShigemasaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_YabuShigemasaMember" xlink:to="jpcrp030000-asr_E02509-000_YabuShigemasaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_YoshidaHiroshiMember" xlink:to="jpcrp030000-asr_E02509-000_YoshidaHiroshiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_YoshidaHiroshiMember" xlink:to="jpcrp030000-asr_E02509-000_YoshidaHiroshiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_BuildingsAndStructuresNet" xlink:to="jppfs_cor_BuildingsAndStructuresNet_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>